=== debian/changelog ===
burp (2.0.54-4build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:44 +0000

burp (2.0.54-4) unstable; urgency=medium

  [ Calogero Lo Leggio (kalos) ]
  * file config error in summary_script cronjob - #855032

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Mon, 13 Feb 2017 17:49:31 +0000

burp (2.0.54-3) unstable; urgency=medium

  * Added compatibility version issue in README.Debian file - bugfix #854303

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sat, 11 Feb 2017 18:23:42 +0000

burp (2.0.54-2) unstable; urgency=medium

  * Removed old logrotate entry - bugfix #753557
  * Enabled burp test suite

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sat, 11 Feb 2017 18:17:26 +0000

burp (2.0.54-1) unstable; urgency=medium

  [ Calogero Lo Leggio (kalos) ]
  * Updates only stable version of the burp - 2.0.X
  * Imported Upstream version 2.0.54
  * Remove duplicate CHANGELOG

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Fri, 06 Jan 2017 11:16:08 +0000

burp (2.0.52-1) unstable; urgency=medium

  [ Calogero Lo Leggio (kalos) ]
  * Imported Upstream version 2.0.52
  * Added build dep: yajl.
  * Updated client and server cron jobs.
  * Updated copyright.
  * Updated watch.
  * Disabled burp test suite (problem with "check" in unstable).
  * Removed all debian patches for burp version 1.

  [ Christoph Martin ]
  * depend on lsb-base
  * add myself as uploader

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 30 Dec 2016 23:46:27 +0100

burp (1.4.40-5) unstable; urgency=medium

  * QA upload
  * fix flags-32bit.patch
  * fix build with openssl 1.1 (closes: #828255)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 14 Nov 2016 12:24:58 +0100

burp (1.4.40-4) unstable; urgency=medium

  * QA upload.
  * Revert using restart in logrotate, it breaks in-progress backup jobs.
    (Reopens: #753557).

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 01 Oct 2016 02:29:15 +0200
