=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure -- --sysconfdir=/etc/burp --sbindir=\$${prefix}/sbin

override_dh_auto_install:
	dh_auto_install -- install-configs
	# remove duplicate files
	rm debian/burp/usr/share/doc/burp/LICENSE
	rm debian/burp/usr/share/doc/burp/CHANGELOG

override_dh_fixperms:
	dh_fixperms
	chmod 0600 debian/burp/etc/burp/burp.conf
	chmod 0600 debian/burp/etc/burp/burp-server.conf
	chmod 0700 debian/burp/etc/burp/clientconfdir
	chmod 0700 debian/burp/var/spool/burp
