=== debian/watch ===
version=3
http://sf.net/burp/burp-(2\.0\.[\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
