## burp 2.1.32

=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -1,7 +1,3 @@
-#
-# Makefile for win32 burp executables
-# Using MinGW cross-compiler on GNU/Linux
-#
 #  Written by Robert Nelson, June 2006
 #
 
@@ -13,16 +9,16 @@
 	$(INCLUDE_ZLIB) \
 	$(INCLUDE_VSS) \
 	$(INCLUDE_OPENSSL) \
-	$(INCLUDE_ICONS)
 
 DEFINES = \
 	-DUSING_DLL \
 	-DWIN32_VSS \
 	-DWINVER=0x500 \
-	$(HAVES)
+	$(HAVES) \
+	$(PACKAGE_DEFINES)
 
-vpath %.c $(MAINDIR)/src $(BUILDDIR)/libwin32
-vpath %.cpp $(MAINDIR)/src $(BUILDDIR)/libwin32
+vpath %.c $(MAINDIR)/src
+vpath %.cpp $(MAINDIR)/src
 
 ##########################################################################
 
@@ -99,12 +95,12 @@
 	$(OBJDIR)/slist.o \
 	$(OBJDIR)/ssl.o \
 	$(OBJDIR)/strlist.o \
+	$(OBJDIR)/times.o \
 	$(OBJDIR)/vss.o \
 	$(OBJDIR)/vss_XP.o \
 	$(OBJDIR)/vss_W2K3.o \
 	$(OBJDIR)/vss_Vista.o \
 	$(OBJDIR)/yajl_gen_w.o \
-	$(OBJDIR)/burp.res
 
 ALL_OBJS = $(CLIENT_OBJS)
 
@@ -127,27 +123,25 @@
 
 .PHONY: all clean
 
-all: $(BINDIR)/burp.exe $(BINDIR)/burp_ca.bat
+all: $(BINDIR)/$(PACKAGE_TARNAME).exe $(BINDIR)/$(PACKAGE_TARNAME)_ca.bat
 
 clean:
 	@echo "Cleaning `pwd`"
 	$(call clean_obj,$(ALL_OBJS))
-	$(call clean_exe,$(BINDIR)/burp.exe)
+	$(call clean_exe,$(BINDIR)/$(PACKAGE_TARNAME).exe)
 	$(ECHO_CMD)rm -rf $(OBJDIRS)
 
 #
 # Rules
 #
 
-$(BINDIR)/burp.exe: $(CLIENT_OBJS) $(LIBS_BURP)
+$(BINDIR)/$(PACKAGE_TARNAME).exe: $(CLIENT_OBJS) $(LIBS_BURP)
 	$(call link_conapp,$(CLIENT_LIBS))
 
-$(BINDIR)/burp_ca.bat:
-	cp $(MAINDIR)/configs/certs/CA/burp_ca.bat $(BINDIR)
-
-$(OBJDIR)/winres.res: ../libwin32/winres.rc
-	@echo "Compiling $(WINDRES) $@"
-	$(call checkdir,$@)
-	$(ECHO_CMD)$(WINDRES) $(INCLUDE_ICONS) -O coff $< -o $@
+$(BINDIR)/$(PACKAGE_TARNAME)_ca.bat:
+	sed \
+		-e 's/@name@/$(PACKAGE_TARNAME)/g' \
+		-e 's/@human_name@/$(PACKAGE_NAME)/g' \
+			< $(MAINDIR)/configs/certs/CA/burp_ca.bat.in > $@
 
 include ../Makefile.rules
