=== debian/changelog ===
burp (2.1.32-2) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * fix debci problem when test 'burp-builtin-test'
  * update 'Standards-Version' to respect the last Debian Policy
  * inform of the incompatibility of burp server cert generated in Jessie

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 10 Jan 2019 19:42:45 +0000

burp (2.1.32-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove Testsuite field, not needed anymore
  * d/watch: Use https protocol

  [ Calogero Lo Leggio (kalos) ]
  * Imported Upstream version 2.1.32
  * fix Lintian warnings
  * fix path of a script in cron entry (Closes: #877005)

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Sat, 05 Jan 2019 14:52:34 +0000

burp (2.1.30-1) unstable; urgency=medium

  * Imported Upstream version 2.1.30 with latest debian directory
  * Add debci/autopkgtest support using integrated burp test
  * Disable unit test in the building phase. Closes: #884032

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Tue, 06 Mar 2018 21:02:31 +0000

burp (2.1.28-1) unstable; urgency=medium

  [ Christoph Martin ]
  * Move Vcs-* to Salsa

  [ Calogero Lo Leggio (kalos) ]
  * Imported Upstream version 2.1.28 with latest debian directory
  * Migrated to systemd
  * Use burp version 2.1.X as new stable release
  * Change compat (debhelper compatibility levels) to 10
  * Add new doc files

 -- Calogero Lo Leggio (kalos) <kalos@nerdrug.org>  Fri, 02 Mar 2018 16:22:31 +0000
