=== debian/tests/control ===
Tests: burp-unit-test
Depends: @builddeps@

Tests: burp-builtin-test
Depends: @, @builddeps@, openssl
