=== debian/watch ===
version=3
https://sf.net/burp/burp-(2\.1\.[\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
