=== debian/changelog ===
burp (2.2.18-8) unstable; urgency=medium

  * remove superfluous 'slow and intensive' test as suggested by upstream dev

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sun, 07 Jun 2020 20:22:41 +0200

burp (2.2.18-7) unstable; urgency=medium

  * burp arm64 have flaky test, use "Restriction: flaky"
  * set Standards-Version to 4.5.0

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Fri, 05 Jun 2020 16:29:48 +0200

burp (2.2.18-6) unstable; urgency=medium

  * set Standards-Version to 4.4.1

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 02 Jan 2020 11:42:53 +0100

burp (2.2.18-5) unstable; urgency=medium

  * Update README with another solution for old SSL cert. (Closes: #912604)
  * reintroduce /etc/default/burp file for sysvinit without 'RUN='.
    (Closes: #935498)

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 04 Sep 2019 13:19:29 +0200

burp (2.2.18-4) unstable; urgency=medium

  * using hardening options/flags
  * avoid to install '/run' empty dir
  * ensure to use UTF-8 locale for building the package
  * service is not started by default on sysvinit
  * add upstream metadata (UMEGAYA project)

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 21 Aug 2019 10:58:43 +0200

burp (2.2.18-3) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * set Standards-Version to 4.4.0
  * add 'Documentation=' in service file
  * set debhelper compatibility version to 12
  * fix lintian skip-systemd-native-flag-missing-pre-depends
  * unfixed lintian warning missing-versioned-depends-on-init-system-helpers

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 07 Aug 2019 12:38:52 +0200

burp (2.2.18-2) unstable; urgency=medium

  * re-introduce sysvinit script

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Fri, 02 Aug 2019 12:26:17 +0200

burp (2.2.18-1) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * New Upstream stable version 2.2.x
  * Imported Upstream version 2.2.18
  * Build using librsync 2.0 series to fix security issue

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 01 Aug 2019 21:43:49 +0200

burp (2.2.16-1) unstable; urgency=medium

  [ Calogero Lo Leggio ]
  * New Upstream stable version 2.2.x
  * Imported Upstream version 2.2.16

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 14 Feb 2019 13:52:32 +0000
