=== debian/control ===
Source: burp
Section: utils
Priority: optional
Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>
Build-Depends: debhelper (>= 12~), pkg-config, check, librsync-dev (>= 2.0), libz-dev,
               libssl-dev, uthash-dev, libyajl-dev, libncurses5-dev, libacl1-dev
Standards-Version: 4.5.0
Homepage: http://burp.grke.net/
Vcs-Git: https://salsa.debian.org/debian/burp.git
Vcs-Browser: https://salsa.debian.org/debian/burp

Package: burp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), init-system-helpers (>= 1.50)
Pre-Depends: ${misc:Pre-Depends}
Recommends: openssl
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.
