=== debian/tests/control ===
Tests: burp-unit-test
Depends: @builddeps@
