=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" https://sf.net/burp/burp-(2\.2\.[\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
