=== debian/changelog ===
burp (2.4.0-3ubuntu1) jammy; urgency=medium

  * debian/patches/openssl3-compat.patch: Fix compatibility with
    OpenSSL 3.  Closes LP: #1952959.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Dec 2021 17:43:10 +0000

burp (2.4.0-3) unstable; urgency=medium

  * re-enable compiler "format-security" check

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Tue, 09 Nov 2021 12:17:59 +0100

burp (2.4.0-2) unstable; urgency=medium

  * update metadata info
  * remove non-existent files in copyright info
  * set Standards-Version to 4.6.0
  * add burp-client systemd.timer

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 03 Nov 2021 12:48:48 +0100

burp (2.4.0-1) unstable; urgency=medium

  * disable compiler "format-security" error (Closes: #997159)
  * increase the test_attrib timeout even further
  * change stable branch
  * New upstream version 2.4.0

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Tue, 02 Nov 2021 14:27:55 +0100

burp (2.2.18-9) unstable; urgency=medium

  * Increase timeout in utest/test_attribs.c, from 5 to 10sec. (Closes: #979824)
  * set Standards-Version to 4.5.1

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sun, 17 Jan 2021 16:45:52 +0100
