=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: burp
 Section: utils
 Priority: optional
-Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>
 Build-Depends: debhelper (>= 12~), pkg-config, check, librsync-dev (>= 2.0), libz-dev,
                libssl-dev, uthash-dev, libyajl-dev, libncurses5-dev, libacl1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://burp.grke.net/
 Vcs-Git: https://salsa.debian.org/debian/burp.git
 Vcs-Browser: https://salsa.debian.org/debian/burp
