=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/?(2\.4\.[\d.]+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/grke/burp/tags .*/?(2\.4\.[\d.]+)\.tar\.gz
