=== src/win32/burp/Makefile ===
--- 
+++ 
@@ -37,35 +37,33 @@
 	$(OBJDIR)/client/autoupgrade.o \
 	$(OBJDIR)/client/backup.o \
 	$(OBJDIR)/client/backup_phase1.o \
-	$(OBJDIR)/client/protocol1/backup_phase2.o \
-	$(OBJDIR)/client/protocol1/restore.o \
-	$(OBJDIR)/client/protocol2/backup_phase2.o \
-	$(OBJDIR)/client/protocol2/rabin_read.o \
-	$(OBJDIR)/client/protocol2/restore.o \
+	$(OBJDIR)/client/backup_phase2.o \
 	$(OBJDIR)/client/ca.o \
 	$(OBJDIR)/client/cvss.o \
 	$(OBJDIR)/client/delete.o \
 	$(OBJDIR)/client/extra_comms.o \
 	$(OBJDIR)/client/extrameta.o \
+	$(OBJDIR)/client/find_logic.o \
 	$(OBJDIR)/client/find.o \
-	$(OBJDIR)/client/find_logic.o \
 	$(OBJDIR)/client/glob_windows.o \
 	$(OBJDIR)/client/list.o \
 	$(OBJDIR)/client/main.o \
+	$(OBJDIR)/client/monitor/json_input.o \
+	$(OBJDIR)/client/monitor/lline.o \
 	$(OBJDIR)/client/monitor.o \
-	$(OBJDIR)/client/monitor/lline.o \
 	$(OBJDIR)/client/monitor/sel.o \
-	$(OBJDIR)/client/monitor/json_input.o \
 	$(OBJDIR)/client/restore.o \
+	$(OBJDIR)/client/restore_switch.o \
 	$(OBJDIR)/client/xattr.o \
 	$(OBJDIR)/cmd.o \
 	$(OBJDIR)/cntr.o \
+	$(OBJDIR)/conffile.o \
 	$(OBJDIR)/conf.o \
-	$(OBJDIR)/conffile.o \
 	$(OBJDIR)/cstat.o \
 	$(OBJDIR)/forkchild.o \
 	$(OBJDIR)/fsops.o \
 	$(OBJDIR)/fzp.o \
+	$(OBJDIR)/handy_extra.o \
 	$(OBJDIR)/handy.o \
 	$(OBJDIR)/hexmap.o \
 	$(OBJDIR)/incexc_recv.o \
@@ -75,32 +73,24 @@
 	$(OBJDIR)/lock.o \
 	$(OBJDIR)/log.o \
 	$(OBJDIR)/main.o \
+	$(OBJDIR)/md5.o \
 	$(OBJDIR)/msg.o \
 	$(OBJDIR)/pathcmp.o \
 	$(OBJDIR)/prepend.o \
 	$(OBJDIR)/prog.o \
-	$(OBJDIR)/protocol1/handy.o \
-	$(OBJDIR)/protocol1/msg.o \
-	$(OBJDIR)/protocol1/rs_buf.o \
-	$(OBJDIR)/protocol1/sbuf_protocol1.o \
-	$(OBJDIR)/protocol2/blist.o \
-	$(OBJDIR)/protocol2/blk.o \
-	$(OBJDIR)/protocol2/rabin/rabin.o \
-	$(OBJDIR)/protocol2/rabin/rconf.o \
-	$(OBJDIR)/protocol2/rabin/win.o \
-	$(OBJDIR)/protocol2/sbuf_protocol2.o \
 	$(OBJDIR)/regexp.o \
+	$(OBJDIR)/rs_buf.o \
 	$(OBJDIR)/run_script.o \
 	$(OBJDIR)/sbuf.o \
-	$(OBJDIR)/server/protocol2/champ_chooser/incoming.o \
 	$(OBJDIR)/slist.o \
 	$(OBJDIR)/ssl.o \
 	$(OBJDIR)/strlist.o \
 	$(OBJDIR)/times.o \
+	$(OBJDIR)/transfer.o \
 	$(OBJDIR)/vss.o \
+	$(OBJDIR)/vss_Vista.o \
+	$(OBJDIR)/vss_W2K3.o \
 	$(OBJDIR)/vss_XP.o \
-	$(OBJDIR)/vss_W2K3.o \
-	$(OBJDIR)/vss_Vista.o \
 	$(OBJDIR)/yajl_gen_w.o \
 
 ALL_OBJS = $(CLIENT_OBJS)
