=== debian/changelog ===
burp (3.1.4-3.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:06 +1100

burp (3.1.4-3.1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:30:02 +0000

burp (3.1.4-3.1build1) noble; urgency=medium

  * Rebuild against new librsync2t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Mar 2024 00:29:26 +0100

burp (3.1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * patch: remove broken zlib version check in fzp test
    (Closes: #1057880)
  * lintian:
    + remove dependency on obsolete lsb-base package
    + rename build-dependency to libncurses-dev

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Dec 2023 22:58:32 +0100

burp (3.1.4-3) unstable; urgency=medium

  * fix cleanup target (Closes: #1044122)
  * wrap-and-sort debian/* files
  * merge janitor commit to remove unnecessary constraints

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 04 Sep 2023 11:48:06 +0200

burp (3.1.4-2) UNRELEASED; urgency=medium

  * Copy fixes for CVE-2017-16516, CVE-2022-24795 & CVE-2023-33460 from yajl.
    (Thanks to Sean Whitton for NMU)

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Wed, 16 Aug 2023 10:48:32 +0000

burp (3.1.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Calogero Lo Leggio ]
  * Use branch 3.1.* as stable
  * New upstream version 3.1.4
  * Remove patches for burp 2.4.0

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Sat, 10 Dec 2022 18:14:30 +0100

burp (2.4.0-4) unstable; urgency=medium

  * Fix compatibility with OpenSSL 3. Closes: #1001014
  * add forward information for patch
  * remove linker flag (no longer necessary)

 -- Calogero Lo Leggio <kalos@nerdrug.org>  Thu, 16 Dec 2021 12:18:21 +0100
