=== debian/control ===
Source: burp
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Calogero Lo Leggio <kalos@nerdrug.org>
Uploaders:
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 check,
 debhelper-compat (= 13),
 libacl1-dev,
 libncurses-dev,
 librsync-dev (>= 2.0),
 libssl-dev,
 libyajl-dev,
 libz-dev,
 pkg-config,
 uthash-dev,
Standards-Version: 4.6.0
Homepage: https://burp.grke.net/
Vcs-Git: https://salsa.debian.org/debian/burp.git
Vcs-Browser: https://salsa.debian.org/debian/burp

Package: burp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Recommends:
 openssl,
Description: Simple cross-platform network BackUp and Restore Program
 Burp is a client/server backup system that saves space and network
 usage by using librsync. It uses the Volume Snapshot Service for
 backing up Windows clients.
