=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # ensure building with UTF-8 locale
 export LC_ALL = C.UTF-8
@@ -41,3 +40,7 @@
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable
+
+override_dh_clean:
+	dh_clean
+	rm -fv manpages/*.8
