=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/?(3\.1\.[\d.]+)\.tar\.gz/burp-$1\.tar\.gz/ \
  https://github.com/grke/burp/tags .*/?(3\.1\.[\d.]+)\.tar\.gz
