## burp frame-1.0.0

=== burp_frame/requirements.txt ===
requests
colorama
frida
